package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF60DData {

    private Map<String, Object> params;
    
    public MWF60DData(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsUniPtKeyOut() {
        return (Long) params.get("RS_UNI_PT_KEY_OUT");
    }

    public Long rsContrInstPtKey() {
        return (Long) params.get("RS_CONTR_INST_PT_KEY");
    }

    public String rsContrPtTp() {
        return (String) params.get("RS_CONTR_PT_TP");
    }

    public Long rsOwnerInstPtKey() {
        return (Long) params.get("RS_OWNER_INST_PT_KEY");
    }

    public String rsOwnerPtRoleTp() {
        return (String) params.get("RS_OWNER_PT_ROLE_TP");
    }

    public String rsContrPtRoleTp() {
        return (String) params.get("RS_CONTR_PT_ROLE_TP");
    }

    public Long rsProdInstKey() {
        return (Long) params.get("RS_PROD_INST_KEY");
    }

    public Long rsAccKey() {
        return (Long) params.get("RS_ACC_KEY");
    }

    public String rsAccNum() {
        return (String) params.get("RS_ACC_NUM");
    }

    public String rsAccSrcSysId() {
        return (String) params.get("RS_ACC_SRC_SYS_ID");
    }

    public String rsProdInstSrcSysId() {
        return (String) params.get("RS_PROD_INST_SRC_SYS_ID");
    }

    public String rsProdInstContrNum() {
        return (String) params.get("RS_PROD_INST_CONTR_NUM");
    }

    public String rsBussProdClassIdOut() {
        return (String) params.get("RS_BUSS_PROD_CLASS_ID_OUT");
    }

    public String rsBusProdTpId() {
        return (String) params.get("RS_BUS_PROD_TP_ID");
    }

    public String rsSalesProdTpId() {
        return (String) params.get("RS_SALES_PROD_TP_ID");
    }

    public Double rsApplPtInstlShare() {
        return (Double) params.get("RS_APPL_PT_INSTL_SHARE");
    }

    public String rsAccBusStatId() {
        return (String) params.get("RS_ACC_BUS_STAT_ID");
    }

    public java.util.Date rsAccOpenDate() {
        return (java.util.Date) params.get("RS_ACC_OPEN_DATE");
    }

    public java.util.Date rsAccCloseDate() {
        return (java.util.Date) params.get("RS_ACC_CLOSE_DATE");
    }

    public Double rsAccPrincBal() {
        return (Double) params.get("RS_ACC_PRINC_BAL");
    }

    public String rsAccCcy() {
        return (String) params.get("RS_ACC_CCY");
    }

    public Double rsRpmtInstlAmt() {
        return (Double) params.get("RS_RPMT_INSTL_AMT");
    }

    public Long rsRpmtInstlCnt() {
        return (Long) params.get("RS_RPMT_INSTL_CNT");
    }

    public String rsRpmtPerCode() {
        return (String) params.get("RS_RPMT_PER_CODE");
    }

    public String rsRpmtAnuiInstlFlag() {
        return (String) params.get("RS_RPMT_ANUI_INSTL_FLAG");
    }

    public java.util.Date rsRpmtFirstInstlDate() {
        return (java.util.Date) params.get("RS_RPMT_FIRST_INSTL_DATE");
    }

    public Double rsApplPtExpShare() {
        return (Double) params.get("RS_APPL_PT_EXP_SHARE");
    }

    public Double rsAccOvduBal() {
        return (Double) params.get("RS_ACC_OVDU_BAL");
    }

    public Long rsAccTotDelqDays() {
        return (Long) params.get("RS_ACC_TOT_DELQ_DAYS");
    }

    public Double rsAccPd() {
        return (Double) params.get("RS_ACC_PD");
    }

    public Double rsAccLgd() {
        return (Double) params.get("RS_ACC_LGD");
    }

    public Double rsAccCcf() {
        return (Double) params.get("RS_ACC_CCF");
    }

    public Double rsProdInstMnthlyFeeAmt() {
        return (Double) params.get("RS_PROD_INST_MNTHLY_FEE_AMT");
    }

    public java.util.Date rsProdInstBondEndDate() {
        return (java.util.Date) params.get("RS_PROD_INST_BOND_END_DATE");
    }

    public java.util.Date rsProdInstFinMatDate() {
        return (java.util.Date) params.get("RS_PROD_INST_FIN_MAT_DATE");
    }

    public Double rsProdInstLmtAmt() {
        return (Double) params.get("RS_PROD_INST_LMT_AMT");
    }

    public Long rsApplApplicantCnt() {
        return (Long) params.get("RS_APPL_APPLICANT_CNT");
    }

    public String rsApplDistCnl() {
        return (String) params.get("RS_APPL_DIST_CNL");
    }

    public String rsAccStatId() {
        return (String) params.get("RS_ACC_STAT_ID");
    } 

}
